import { IRequest, IGetRequest } from "./expressRequest";
import { DataManager } from "../data/manager";
import { IKeyedAndDataTypeKeyed } from "../core/data";
export declare class ReleaseController {
    private dataManager;
    constructor(dataManager: DataManager);
    routes(req: IRequest<void, any, void, void>): Promise<void>;
    data(req: IRequest<void, any, void, {
        dataTypeKey?: string;
        key?: string;
    }>): Promise<void>;
    getPendingChanges(req: IGetRequest<IKeyedAndDataTypeKeyed[], void, void>): Promise<void>;
}
