"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const rokot_apicontroller_1 = require("rokot-apicontroller");
const injectTypes_1 = require("../ioc/injectTypes");
const unfurled = require("unfurled");
let UnfurlController = class UnfurlController {
    constructor() { }
    unfurl(req) {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            try {
                const url = req.query.url;
                //console.log(url)
                const unfurl = yield unfurled(url);
                req.sendOk(unfurl);
            }
            catch (e) {
                req.sendNoContent();
            }
        });
    }
};
tslib_1.__decorate([
    rokot_apicontroller_1.api.route(""),
    rokot_apicontroller_1.api.verbs("get"),
    tslib_1.__metadata("design:type", Function),
    tslib_1.__metadata("design:paramtypes", [Object]),
    tslib_1.__metadata("design:returntype", Promise)
], UnfurlController.prototype, "unfurl", null);
UnfurlController = tslib_1.__decorate([
    rokot_apicontroller_1.api.controller(injectTypes_1.InjectTypes.UnfurlController, "/unfurl"),
    tslib_1.__metadata("design:paramtypes", [])
], UnfurlController);
exports.UnfurlController = UnfurlController;
