"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("underscore");
function isKeyQuery(query) {
    return query.type === "key";
}
exports.isKeyQuery = isKeyQuery;
function isQuery(query) {
    return query.type === "query";
}
exports.isQuery = isQuery;
function createKeyQuery(key, dataTypeKey) {
    return { type: "key", key, dataTypeKey };
}
exports.createKeyQuery = createKeyQuery;
function createQuery(dataTypeKey) {
    return { type: "query", dataTypeKey };
}
exports.createQuery = createQuery;
function ensureArray(values) {
    if (_.isArray(values)) {
        return values;
    }
    return [values];
}
exports.ensureArray = ensureArray;
// export class WellKnownQueryWhere {
//   static betweenYearMonth(field: string): IQueryWhere {
//     return { field, operation: "between", value: ["{startYearMonth}-01", "{beforeYearMonth}-01"] }
//   }
// }
