"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rokot_log_1 = require("rokot-log");
const generator_1 = require("rokot-notification/lib/client/generator");
const logger = rokot_log_1.ConsoleLogger.create("create notification client", { level: "info" });
/** Get all notification handler source files (all in a single folder) */
const files = generator_1.getFolderFiles("./source/notification");
/** Generate a notification client */
generator_1.generateClient(logger, files, "./source/notification/notifications.ts", {
    /** override the method naming function */
    functionName: generator_1.getInterfaceFunctionName
});
