"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Dates;
(function (Dates) {
    function now() {
        return Dates.toIso(new Date());
    }
    Dates.now = now;
    function toIso(date) {
        return date && date.toISOString && date.toISOString();
    }
    Dates.toIso = toIso;
    function fromIso(date) {
        return date && new Date(date);
    }
    Dates.fromIso = fromIso;
})(Dates = exports.Dates || (exports.Dates = {}));
