"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const knexTable_1 = require("./knexTable");
function getKnexTables(tableSchemas, connection) {
    const schemas = {};
    Object.keys(tableSchemas).forEach((s) => {
        schemas[s] = new knexTable_1.KnexTable(tableSchemas[s], connection);
    });
    schemas.knex = connection.knex;
    schemas.connection = connection;
    return schemas;
}
exports.getKnexTables = getKnexTables;
