"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const inversify_1 = require("inversify");
exports.kernel = new inversify_1.Container();
function register(key, classType, ...ctorParams) {
    inversify_1.decorate(inversify_1.injectable(), classType);
    ctorParams.forEach((c, i) => {
        inversify_1.decorate(inversify_1.inject(c), classType, i);
    });
    return exports.kernel.bind(key).to(classType);
}
exports.register = register;
