"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const kernel_1 = require("../ioc/kernel");
function injectTransient(key, ...ctorParams) {
    return (fun) => {
        kernel_1.register(key, fun, ...ctorParams).inTransientScope();
        return (() => {
            console.log("Get key", key);
            kernel_1.kernel.get(key);
        });
    };
}
exports.injectTransient = injectTransient;
