import { NotificationRecipients, NotificationDispatcher, INotificationDispatchResult } from "rokot-notification";
export declare class Notifications {
    private dispatcher;
    constructor(dispatcher: NotificationDispatcher);
    completeRegistrationNotification(recipient: NotificationRecipients, payload: {
        token: string;
        siteUrl: string;
        name: string;
    }): Promise<INotificationDispatchResult[]>;
    rejectRegistrationNotification(recipient: NotificationRecipients, payload: {
        name: string;
        siteUrl: string;
    }): Promise<INotificationDispatchResult[]>;
    unknownRegistrationNotification(recipient: NotificationRecipients, payload: {
        subject: string;
        operation: string;
        name: string;
        siteUrl: string;
    }): Promise<INotificationDispatchResult[]>;
    resetPasswordNotification(recipient: NotificationRecipients, payload: {
        token: string;
        siteUrl: string;
        name: string;
    }): Promise<INotificationDispatchResult[]>;
    notifyNonActivatedNotification(recipient: NotificationRecipients, payload: {
        token: string;
        siteUrl: string;
        name: string;
        subject: string;
    }): Promise<INotificationDispatchResult[]>;
}
