const spawn = require('child_process').spawn;
const tsc = spawn('./node_modules/.bin/tsc', ['-p', "source", "-d", '-w']);

tsc.stdout.on('data', (data) => {
  const output = data.toString()
  console.log(output);
  if (output.indexOf("Compilation complete")) {
    console.log("CREATING CLIENT");
    const npm = spawn('yarn', ['run', "create-client"])
    //npm.stdout.on('data', (data) => console.log(data.toString()));

    npm.on('close', (code) => {
      console.log("CREATION", code, code ? "FAIL": "OK");
    });
  }
});

tsc.stderr.on('data', (data) => {
  console.log(data.toString());
});

tsc.on('close', (code) => {
  console.log(`child process exited with code ${code}`);
});
