"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function makeNumber(num, defaultValue = 0) {
    const n = Number(num);
    return isNaN(n) ? defaultValue : n;
}
exports.makeNumber = makeNumber;
function makePaging(requestQuery) {
    const take = requestQuery.take;
    const skip = requestQuery.skip;
    if (take || skip) {
        return { take: makeNumber(take, 1), skip: makeNumber(skip, 0) };
    }
}
exports.makePaging = makePaging;
