// import { api } from "rokot-apicontroller";
// import { IRequest, IGetRequest } from "./expressRequest";
// import { DataManager } from "../data/manager";
// import { Query, INamedQuery, createKeyQuery, IQueryPage, IEditableQuery, IQueryParam, isQuery } from "../core/query";
// import { makeNumber, makePaging } from "./common";
// import { IKeyed, IKeyedAndDataTypeKeyed, IDataTypeKeyed, IDataItem } from "../core/data";
// import { InjectTypes } from "../ioc/injectTypes";
// import { QueryParamResolver } from "../queryParams/queryParamResolver";
// import { findQuery } from "./data";
// @api.controller(InjectTypes.QueryController, "/queries")
// export class QueryController {
//   constructor(private dataManager: DataManager) { }
//   @api.route(":dataTypeKey?")
//   @api.verbs("get")
//   async getNamed(req: IGetRequest<INamedQuery[], IDataTypeKeyed, IQueryPage>) {
//     const query = await this.dataManager.query.getNamedQueries(req.params.dataTypeKey, makePaging(req.query));
//     req.sendOk(query)
//   }
//   @api.route(":dataTypeKey/:key")
//   @api.verbs("get")
//   async get(req: IGetRequest<IEditableQuery, IKeyedAndDataTypeKeyed, IQueryPage>) {
//     const queries = await this.dataManager.query.executeQuery(createKeyQuery(req.params.key, req.params.dataTypeKey))
//     if (!queries || !queries.length) {
//       req.send(400, "NOT FOUND" as any)
//       return;
//     }
//     req.sendOk({ query: queries[0], key: req.params.key, id: queries[0].id })
//   }
//   @api.route("")
//   // KGW: @api.middleware("protect")
//   @api.verbs("post")
//   async saveQuery(req: IRequest<IEditableQuery, IEditableQuery, void, void>) {
//     const queries = await this.dataManager.query.save({ key: req.body.key }, req.body.query);
//     req.sendCreated({ query: queries, key: req.body.key, id: queries.id })
//   }
//   @api.route(":dataTypeKey/:key")
//   @api.verbs("post")
//   //@api.bodyValidator(validateQuery)
//   async runNamedQuery(req: IRequest<IQueryParam[], IDataItem[], IKeyedAndDataTypeKeyed, IQueryPage>) {
//     let query = await findQuery(this.dataManager, req.params.dataTypeKey, req.params.key)
//     if (!query) {
//       throw new Error(`Unable to find named query '${req.params.key}' for content type '${req.params.dataTypeKey}'`)
//     }
//     //await applyUserRoleRestrictions(req, query, this.dataManager)
//     if (isQuery(query) && req.body && req.body.length) {
//       query = QueryParamResolver.resolve(query, req.body)
//     }
//     const useSnapshot = await this.dataManager.useSnapshot(req)
//     const data = await this.dataManager.data.getAll(useSnapshot, req.user, query, makePaging(req.query))
//     req.sendOk(data)
//   }
// }
