import { IGetRequest } from "./expressRequest";
import { DataManager } from "../data/manager";
import { ISiteSnapshot } from "../core/routes";
import { SnapshotKey } from "../core/release";
export declare class SnapshotController {
    private dataManager;
    constructor(dataManager: DataManager);
    getSnapshot(req: IGetRequest<ISiteSnapshot, {
        key?: SnapshotKey;
    }, void>): Promise<void>;
}
