"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ = require("underscore");
function resolveSeedData(seedData) {
    const resolved = {};
    _.keys(seedData.queries).map(q => {
        seedData.queries[q].forEach(qr => {
            let items = resolved[q];
            if (!items) {
                items = resolved[q] = [];
            }
            items.push({ key: qr.key, data: qr.refs.map(r => seedData.dataTypes[q][r]) });
        });
    });
    return resolved;
}
exports.resolveSeedData = resolveSeedData;
