export interface IUpload {
    id?: string | number;
    key: string;
    ticket: string;
    fileName: string;
    fileSize: number;
    contentType: string;
    userToken?: any;
    additionalMetadata?: IUploadAdditionalMetadata;
    createdOn?: string;
    active: boolean;
}
export interface IUploadAdditionalMetadata {
    cropWidth?: number;
    cropHeight?: number;
    cropX?: number;
    cropY?: number;
    maxWidth?: number;
}
