"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rokot_apicontroller_1 = require("rokot-apicontroller");
const createApiClient_1 = require("./createApiClient");
const fs = require("fs");
require("./ioc/bootstrap");
const rokot_log_1 = require("rokot-log");
const logger = rokot_log_1.ConsoleLogger.create("create-api-client", { level: "info" });
const ac = rokot_apicontroller_1.createDefaultApiClient(logger, [
    "./source/ioc/bootstrap.ts"
]);
fs.writeFileSync("./lib/apiClient.json", JSON.stringify(ac, null, 2));
createApiClient_1.writeFetchApiClient("../ui/source/api/clientApi.ts", ac);
