/// <reference types="knex" />
import * as knexImport from "knex";
export declare class KnexConnection {
    knex: knexImport;
    constructor(config: knexImport.Config);
    static testSqlQuery: string;
    test(): Promise<boolean>;
    tx<T>(action: (tx: knexImport.Transaction) => Promise<T>): Promise<T>;
    destroy(): Promise<void>;
}
