/// <reference types="knex" />
import * as knexImport from "knex";
import { IQuerySort, IQueryWhere, IQuerySearch, IQueryData } from "../../core/query";
import { IDbQueryBuilder } from "../knexTable";
import { KnexConnection } from "../knexConnection";
export declare class SqlServerQueryBuilder implements IDbQueryBuilder {
    connection: KnexConnection;
    constructor(connection: KnexConnection);
    applyQueryData(data: IQueryData, qb: knexImport.QueryBuilder): knexImport.QueryBuilder;
    processSort(jsonField: string, builder: knexImport.QueryBuilder, sort: IQuerySort): knexImport.QueryBuilder;
    processSearch(jsonField: string, builder: knexImport.QueryBuilder, search: IQuerySearch): knexImport.QueryBuilder;
    processWhere(jsonField: string, builder: knexImport.QueryBuilder, where: IQueryWhere): knexImport.QueryBuilder;
}
