import "reflect-metadata";
import { IS3FileStoreConfig } from "rokot-upload-backend";
export { InjectTypes } from "./ioc/injectTypes";
export { kernel, register } from "./ioc/kernel";
export { run, IRunConfig } from "./ioc/bootstrap";
export { api, apiControllers } from "rokot-apicontroller";
export { Notifications } from "./notification/notifications";
export { IDataInterceptionConfig, DataInterceptionResult } from "./core/user";
export { DataManager } from "./data/manager";
export declare function setS3ContentMigrationConfig(config: IS3FileStoreConfig): void;
