"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const rokot_notification_1 = require("rokot-notification");
var rokot_notification_2 = require("rokot-notification");
exports.NotificationDispatcher = rokot_notification_2.NotificationDispatcher;
const nodemailer_1 = require("rokot-notification/lib/nodemailer");
require("./index");
function createDispatcher(logger, nodemailerOptions) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const dispatcherFactory = new rokot_notification_1.NotificationDispatcherFactory(logger);
        return yield dispatcherFactory.createDispatcher(nodemailer_1.sendgridInitializer(logger, nodemailerOptions));
    });
}
exports.createDispatcher = createDispatcher;
