/// <reference types="express" />
import * as express from 'express';
import { ILoginService } from "rokot-auth";
import { KnexConnection } from "../data/knexConnection";
import { ICosmosProfileRepository } from "../data/repo/core";
export declare class PassportAuth {
    private connection;
    private profileRepository;
    private loginService;
    constructor(connection: KnexConnection, profileRepository: ICosmosProfileRepository, loginService: ILoginService);
    apply(app: express.Express, config: {
        authSecret: string;
        cookieDomain?: string;
    }): void;
}
