// import {expect} from "rokot-test";
// import {IQueryParam,IQuery,IQueryWhere} from "../core/query";
// import {IUser} from "../core/user";
// import {RoleRestrictions} from "../users/roleRestriction";
// import {Queries,QueryParameters,testDataTypeKey} from "./queryTestData";
//
//
// function runRoleRestriction(query: IQuery,user: IUser, expection: {userPropName: string, expectResolved?: string, dataTypeKey?: string, expectThrow?:boolean}) {
//   const assertion: Chai.Assertion = expect(() => {
//     user.roles = [{name:"TestRole", queries:[{dataTypeKey:expection.dataTypeKey || testDataTypeKey,where:[Queries.makeVariableQueryWhere(expection.userPropName)]}]}]
//     const startingLength = query.where ? query.where.length : 0
//     RoleRestrictions.applyUserRoleRestrictions(user, query)
//     expect(query.where.length).to.eq(expection.expectResolved ? startingLength + 1 : startingLength, `Expected ${expection.expectResolved}`)
//     if (expection.expectResolved) {
//       expect(query.where[1].values[0]).to.eq(expection.expectResolved)
//     }
//   }).to
//   if (expection.expectThrow) {
//     assertion.throw()
//   } else{
//     assertion.not.throw()
//   }
// }
//
// describe("Resolve User Role Restriction Query Params", () => {
//   const user: IUser = { id: 2, userName: "phil", division: 2, displayName: "Mow", emails: ["phil@rocketmakers.com"], roles: []}
//   it("should add restriction when role matches the query data type", () => {
//     runRoleRestriction(Queries.makeYearMonthQuery(), user, {userPropName:"division", expectResolved:user.division.toString()})
//     runRoleRestriction(Queries.makeYearMonthQuery(), user, {userPropName:"userName", expectResolved:user.userName})
//   });
//
//   it("should add restriction when role matches the query data type and property access notation is used", () => {
//     runRoleRestriction(Queries.makeYearMonthQuery(), user, {userPropName:"roles.0.name", expectResolved: "TestRole"})
//   });
//
//   it("should not add restriction when role doesnt match the query data type", () => {
//     runRoleRestriction(Queries.makeYearMonthQuery(), user, {userPropName:"division", dataTypeKey: testDataTypeKey + "_"})
//   });
//
//   it("should fail when role includes an unknown user property", () => {
//     runRoleRestriction(Queries.makeYearMonthQuery(), user, {userPropName:"division1", expectThrow: true})
//   });
// })
