import { IQueryParam, IQuery, IQueryWhere } from "../core/query";
export declare const testDataTypeKey = "People";
export declare class Queries {
    static makeYearMonthQuery(): IQuery;
    static makeYearMonthQueryWhere(field: string): IQueryWhere;
    static makeVariableQueryWhere(variableName: string): IQueryWhere;
}
export declare class QueryParameters {
    static missingYear(): IQueryParam[];
    static mispeltYear(): IQueryParam[];
    static goodYearMonth(): IQueryParam[];
    static makeYearMonth(startingMonth: string, endingMonth: string, startingYear?: string, endingYear?: string): IQueryParam[];
}
